## kodi-inputstream-rtmp 3.4.0%2Bds1

=== debian/changelog ===
kodi-inputstream-rtmp (3.4.0+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:03:35 +0200

kodi-inputstream-rtmp (3.4.0+ds1-2) unstable; urgency=medium

  * d/upstream/metadata: Add Bug-Submit URL
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:50 +0000

kodi-inputstream-rtmp (3.4.0+ds1-1) experimental; urgency=medium

  * Initial upload (Closes: #977777)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 17:30:42 +0000

## kodi-inputstream-rtmp 21.1.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(inputstream.rtmp)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(PkgConfig)
find_package(Kodi REQUIRED)
find_package(OpenSSL REQUIRED)
find_package(ZLIB REQUIRED)
find_package(RTMP REQUIRED)

set(RTMP_SOURCES src/RTMPStream.cpp
                 src/timer/Timer.cpp)

set(RTMP_HEADERS src/utils/Log.h
                 src/timer/Timer.h
                 src/timer/TimerHelper.h)

include_directories(${INCLUDES}
                    ${RTMP_INCLUDE_DIRS}
                    ${OPENSSL_INCLUDE_DIR}
                    ${ZLIB_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)

list(APPEND DEPLIBS ${RTMP_LIBRARIES} ${OPENSSL_LIBRARIES} ${ZLIB_LIBRARIES})

if(CORE_SYSTEM_NAME MATCHES "windows")
  list(APPEND DEPLIBS Winmm.lib WS2_32.lib)
endif()

build_addon(inputstream.rtmp RTMP DEPLIBS)

if(CORE_SYSTEM_NAME STREQUAL windowsstore)
  # fix linking
  set_target_properties(inputstream.rtmp PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib")
  set_target_properties(inputstream.rtmp PROPERTIES LINK_FLAGS_RELEASE "/LTCG /defaultlib:vccorlib.lib /defaultlib:msvcrt.lib")
  set_target_properties(inputstream.rtmp PROPERTIES LINK_FLAGS_DEBUG "/LTCG /defaultlib:vccorlibd.lib /defaultlib:msvcrtd.lib")
endif()

include(CPack)

## kodi-inputstream-rtmp 3.4.0+ds1

=== debian/control ===
Source: kodi-inputstream-rtmp
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp.git
Homepage: https://kodi.tv/
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 librtmp-dev,
 pkg-config,
 zlib1g-dev

Package: kodi-inputstream-rtmp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:INPUTSTREAMAPI}
Description: Kodi input stream addon for RTMP
 This package is the RTMP Inputstream addon for Kodi.
 .
 The Real Time Messaging Protocol (RTMP) is a proprietary network protocol
 developed by Adobe Inc. to transmit audio, video and other data over the
 Internet from a media server to a flash player.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.rtmp/releases \
/xbmc/inputstream.rtmp/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-inputstream-rtmp 19.0.0+ds1

=== debian/changelog ===
kodi-inputstream-rtmp (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:27 +0000

kodi-inputstream-rtmp (3.4.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: video
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp.git

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
+            -DUSE_LTO=0

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.rtmp/releases \
/xbmc/inputstream.rtmp/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-inputstream-rtmp 19.0.1%2Bds1

=== debian/changelog ===
kodi-inputstream-rtmp (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:21 +0000

kodi-inputstream-rtmp (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:51:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp.git
 Homepage: https://kodi.tv/
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  librtmp-dev,
  pkg-config,
  zlib1g-dev

## kodi-inputstream-rtmp 20.2.1+ds1

=== debian/changelog ===
kodi-inputstream-rtmp (20.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.1+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:57:34 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.rtmp/releases \
/xbmc/inputstream.rtmp/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-inputstream-rtmp 20.3.0+ds1

=== debian/changelog ===
kodi-inputstream-rtmp (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: video
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp.git
 Homepage: https://kodi.tv/
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  librtmp-dev,
  pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,12 @@
 	dh $@
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- \
             -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.rtmp \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-inputstream-rtmp 21.1.0+ds

=== debian/changelog ===
kodi-inputstream-rtmp (21.1.0+ds-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:10 +0000

kodi-inputstream-rtmp (21.1.0+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:45:41 +0000

kodi-inputstream-rtmp (21.1.0+ds-1) experimental; urgency=medium

  * New upstream version 21.1.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:32 +0000

## kodi-inputstream-rtmp 21.1.2+ds

=== debian/changelog ===
kodi-inputstream-rtmp (21.1.2+ds-1) unstable; urgency=high

  * New upstream version 21.1.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:21 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: video
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-rtmp.git -b debian/sid
 Homepage: https://kodi.tv/
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  librtmp-dev,
  pkg-config,

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/inputstream.rtmp \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
